{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_dir), (inputs.in_fasta) ]; return LIST; }"
                }
            ],
            "baseCommand": [
                "GCcontent2bigwig.py"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/scaffold/bigwig/$(inputs.in_fasta.basename).gc.bigwig"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#GCcontent2bigwig.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#GCcontent2bigwig.cwl/in_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#GCcontent2bigwig.cwl/in_tree"
                }
            ],
            "id": "#GCcontent2bigwig.cwl",
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#GCcontent2bigwig.cwl/out_dir"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/scaffold/bigwig/$(inputs.in_fasta.basename).gc.bigwig"
                    },
                    "id": "#GCcontent2bigwig.cwl/out_wildcard_gc_bigwig"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_dir), (inputs.in_gaps_bigwig)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add-bw-track.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--pos_color",
                    "valueFrom": "black"
                },
                {
                    "position": 3,
                    "prefix": "--neg_color",
                    "valueFrom": "white"
                },
                {
                    "position": 5,
                    "prefix": "--label",
                    "valueFrom": "Gaps in assembly"
                },
                {
                    "position": 7,
                    "prefix": "--bw_url",
                    "valueFrom": "$(inputs.in_gaps_bigwig.basename)"
                },
                {
                    "position": 9,
                    "prefix": "--in",
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#add-bw-track_gaps.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#add-bw-track_gaps.cwl/in_gaps_bigwig"
                },
                {
                    "type": "File",
                    "id": "#add-bw-track_gaps.cwl/in_trackList_json"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#add-bw-track_gaps.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#add-bw-track_gaps.cwl/out_dir"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json"
                    },
                    "id": "#add-bw-track_gaps.cwl/out_trackList_json"
                }
            ],
            "id": "#add-bw-track_gaps.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_gc_bigwig), (inputs.in_dir)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add-bw-track.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--pos_color",
                    "valueFrom": "rgba(0,0,255,50)"
                },
                {
                    "position": 3,
                    "prefix": "--neg_color",
                    "valueFrom": "rgba(255,255,0,50)"
                },
                {
                    "position": 5,
                    "prefix": "--bicolor_pivot",
                    "valueFrom": "0.5"
                },
                {
                    "position": 7,
                    "prefix": "--label",
                    "valueFrom": "GC Content"
                },
                {
                    "position": 9,
                    "prefix": "--bw_url",
                    "valueFrom": "$(inputs.in_gc_bigwig.basename)"
                },
                {
                    "position": 11,
                    "prefix": "--in",
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#add-bw-track_gc.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#add-bw-track_gc.cwl/in_gc_bigwig"
                },
                {
                    "type": "File",
                    "id": "#add-bw-track_gc.cwl/in_trackList_json"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#add-bw-track_gc.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#add-bw-track_gc.cwl/out_dir"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json"
                    },
                    "id": "#add-bw-track_gc.cwl/out_trackList_json"
                }
            ],
            "id": "#add-bw-track_gc.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_dir)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "add_metadata_to_GC_gap_bigwig_tracks.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json.bak-metadata"
                },
                {
                    "position": 5,
                    "valueFrom": "$(inputs.in_fasta.basename).gc.bigwig"
                },
                {
                    "position": 7,
                    "valueFrom": "$(inputs.in_fasta.basename).gaps.bigwig"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#add_metadata.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#add_metadata.cwl/in_fasta"
                },
                {
                    "type": "File",
                    "id": "#add_metadata.cwl/in_trackList_json"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#add_metadata.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#add_metadata.cwl/out_dir"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json"
                    },
                    "id": "#add_metadata.cwl/out_trackList_json"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json.bak-metadata"
                    },
                    "id": "#add_metadata.cwl/out_trackList_json_bak"
                }
            ],
            "id": "#add_metadata.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_dir), (inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "faToTwoBit"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_dir.basename)/blat/db/$(inputs.in_tree[0])/$(inputs.in_fasta.basename).2bi"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#faToTwoBit.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#faToTwoBit.cwl/in_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#faToTwoBit.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#faToTwoBit.cwl/out_dir"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/blat/db/$(inputs.in_tree[0])/$(inputs.in_fasta.basename).2bi"
                    },
                    "id": "#faToTwoBit.cwl/out_wildcard_2bi"
                }
            ],
            "id": "#faToTwoBit.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_dir), (inputs.in_gff)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "flatfile-to-json.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--gff",
                    "valueFrom": "$(inputs.in_gff.basename)"
                },
                {
                    "position": 3,
                    "prefix": "--arrowheadClass",
                    "valueFrom": "trellis-arrowhead"
                },
                {
                    "position": 5,
                    "prefix": "--subfeatureClasses",
                    "valueFrom": "{\"wholeCDS\": null, \"CDS\":\"primary_gene_set-cds\", \"UTR\": \"primary_gene_set-utr\", \"exon\":\"container-100pct\"}"
                },
                {
                    "position": 7,
                    "prefix": "--cssClass",
                    "valueFrom": "container-16px"
                },
                {
                    "position": 9,
                    "prefix": "--type",
                    "valueFrom": "mRNA"
                },
                {
                    "position": 11,
                    "prefix": "--trackLabel",
                    "valueFrom": "$(inputs.in_tree[0])_current_models"
                },
                {
                    "position": 13,
                    "prefix": "--key",
                    "valueFrom": "$(inputs.in_tree[0])_annotation"
                },
                {
                    "position": 15,
                    "prefix": "--out",
                    "valueFrom": "data/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#flatfile-to-json.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#flatfile-to-json.cwl/in_gff"
                },
                {
                    "type": "File",
                    "id": "#flatfile-to-json.cwl/in_trackList_json"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#flatfile-to-json.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#flatfile-to-json.cwl/out_dir"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json"
                    },
                    "id": "#flatfile-to-json.cwl/out_trackList_json"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/tracks/"
                    },
                    "id": "#flatfile-to-json.cwl/out_tracks"
                }
            ],
            "id": "#flatfile-to-json.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta), (inputs.in_dir)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "gap2bigwig.py"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/scaffold/bigwig/$(inputs.in_fasta.basename).gaps.bigwig"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#gap2bigwig.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#gap2bigwig.cwl/in_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#gap2bigwig.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#gap2bigwig.cwl/out_dir"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/scaffold/bigwig/$(inputs.in_fasta.basename).gaps.bigwig"
                    },
                    "id": "#gap2bigwig.cwl/out_wildcard_gaps_bigwig"
                }
            ],
            "id": "#gap2bigwig.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_dir)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "generate-names.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--verbose"
                },
                {
                    "position": 3,
                    "prefix": "--out",
                    "valueFrom": "data/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#generate-names.cwl/in_dir"
                },
                {
                    "type": "Directory",
                    "id": "#generate-names.cwl/in_tracks"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#generate-names.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#generate-names.cwl/out_dir"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/names/"
                    },
                    "id": "#generate-names.cwl/out_names"
                }
            ],
            "id": "#generate-names.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_dir)"
                    ]
                }
            ],
            "baseCommand": [
                "ln"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-s",
                    "valueFrom": "../../scaffold/bigwig"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/bigwig"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#ln.cwl/in_dir"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#ln.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#ln.cwl/out_dir"
                }
            ],
            "id": "#ln.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_dir), (inputs.in_fasta), (inputs.in_fai), ]; return LIST; }"
                }
            ],
            "baseCommand": [
                "prepare-refseqs.pl"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "--indexed_fasta",
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 3,
                    "prefix": "--out",
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#prepare-refseqs.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#prepare-refseqs.cwl/in_fai"
                },
                {
                    "type": "File",
                    "id": "#prepare-refseqs.cwl/in_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#prepare-refseqs.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#prepare-refseqs.cwl/out_dir"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/seq/"
                    },
                    "id": "#prepare-refseqs.cwl/out_seq"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/trackList.json"
                    },
                    "id": "#prepare-refseqs.cwl/out_trackList_json"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/jbrowse/data/tracks.conf"
                    },
                    "id": "#prepare-refseqs.cwl/out_tracks_conf"
                }
            ],
            "id": "#prepare-refseqs.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_fasta)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "samtools"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "faidx"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#samtools_faidx.cwl/in_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.fai"
                    },
                    "id": "#samtools_faidx.cwl/out_wildcard_fai"
                }
            ],
            "id": "#samtools_faidx.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/in_dir"
                },
                {
                    "type": "File",
                    "id": "#main/in_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/in_tree"
                }
            ],
            "steps": [
                {
                    "run": "#GCcontent2bigwig.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/GCcontent2bigwig/in_dir"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/GCcontent2bigwig/in_fasta"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/GCcontent2bigwig/in_tree"
                        }
                    ],
                    "out": [
                        "#main/GCcontent2bigwig/out_dir",
                        "#main/GCcontent2bigwig/out_wildcard_gc_bigwig"
                    ],
                    "id": "#main/GCcontent2bigwig"
                },
                {
                    "run": "#add-bw-track_gaps.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/add-bw-track_gaps/in_dir"
                        },
                        {
                            "source": "#main/gap2bigwig/out_wildcard_gaps_bigwig",
                            "id": "#main/add-bw-track_gaps/in_gaps_bigwig"
                        },
                        {
                            "source": "#main/flatfile-to-json/out_trackList_json",
                            "id": "#main/add-bw-track_gaps/in_trackList_json"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/add-bw-track_gaps/in_tree"
                        }
                    ],
                    "out": [
                        "#main/add-bw-track_gaps/out_dir",
                        "#main/add-bw-track_gaps/out_trackList_json"
                    ],
                    "id": "#main/add-bw-track_gaps"
                },
                {
                    "run": "#add-bw-track_gc.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/add-bw-track_gc/in_dir"
                        },
                        {
                            "source": "#main/GCcontent2bigwig/out_wildcard_gc_bigwig",
                            "id": "#main/add-bw-track_gc/in_gc_bigwig"
                        },
                        {
                            "source": "#main/add-bw-track_gaps/out_trackList_json",
                            "id": "#main/add-bw-track_gc/in_trackList_json"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/add-bw-track_gc/in_tree"
                        }
                    ],
                    "out": [
                        "#main/add-bw-track_gc/out_dir",
                        "#main/add-bw-track_gc/out_trackList_json"
                    ],
                    "id": "#main/add-bw-track_gc"
                },
                {
                    "run": "#add_metadata.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/add_metadata/in_dir"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/add_metadata/in_fasta"
                        },
                        {
                            "source": "#main/add-bw-track_gc/out_trackList_json",
                            "id": "#main/add_metadata/in_trackList_json"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/add_metadata/in_tree"
                        }
                    ],
                    "out": [
                        "#main/add_metadata/out_dir",
                        "#main/add_metadata/out_trackList_json",
                        "#main/add_metadata/out_trackList_json_bak"
                    ],
                    "id": "#main/add_metadata"
                },
                {
                    "run": "#faToTwoBit.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/faToTwoBit/in_dir"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/faToTwoBit/in_fasta"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/faToTwoBit/in_tree"
                        }
                    ],
                    "out": [
                        "#main/faToTwoBit/out_dir",
                        "#main/faToTwoBit/out_wildcard_2bi"
                    ],
                    "id": "#main/faToTwoBit"
                },
                {
                    "run": "#flatfile-to-json.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/flatfile-to-json/in_dir"
                        },
                        {
                            "source": "#main/in_gff",
                            "id": "#main/flatfile-to-json/in_gff"
                        },
                        {
                            "source": "#main/prepare-refseqs/out_trackList_json",
                            "id": "#main/flatfile-to-json/in_trackList_json"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/flatfile-to-json/in_tree"
                        }
                    ],
                    "out": [
                        "#main/flatfile-to-json/out_dir",
                        "#main/flatfile-to-json/out_trackList_json",
                        "#main/flatfile-to-json/out_tracks"
                    ],
                    "id": "#main/flatfile-to-json"
                },
                {
                    "run": "#gap2bigwig.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/gap2bigwig/in_dir"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/gap2bigwig/in_fasta"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/gap2bigwig/in_tree"
                        }
                    ],
                    "out": [
                        "#main/gap2bigwig/out_dir",
                        "#main/gap2bigwig/out_wildcard_gaps_bigwig"
                    ],
                    "id": "#main/gap2bigwig"
                },
                {
                    "run": "#generate-names.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/generate-names/in_dir"
                        },
                        {
                            "source": "#main/flatfile-to-json/out_tracks",
                            "id": "#main/generate-names/in_tracks"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/generate-names/in_tree"
                        }
                    ],
                    "out": [
                        "#main/generate-names/out_dir",
                        "#main/generate-names/out_names"
                    ],
                    "id": "#main/generate-names"
                },
                {
                    "run": "#ln.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/ln/in_dir"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/ln/in_tree"
                        }
                    ],
                    "out": [
                        "#main/ln/out_dir"
                    ],
                    "id": "#main/ln"
                },
                {
                    "run": "#prepare-refseqs.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/prepare-refseqs/in_dir"
                        },
                        {
                            "source": "#main/samtools_faidx/out_wildcard_fai",
                            "id": "#main/prepare-refseqs/in_fai"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/prepare-refseqs/in_fasta"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/prepare-refseqs/in_tree"
                        }
                    ],
                    "out": [
                        "#main/prepare-refseqs/out_dir",
                        "#main/prepare-refseqs/out_trackList_json",
                        "#main/prepare-refseqs/out_seq",
                        "#main/prepare-refseqs/out_tracks_conf"
                    ],
                    "id": "#main/prepare-refseqs"
                },
                {
                    "run": "#samtools_faidx.cwl",
                    "in": [
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/samtools_faidx/in_fasta"
                        }
                    ],
                    "out": [
                        "#main/samtools_faidx/out_wildcard_fai"
                    ],
                    "id": "#main/samtools_faidx"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/faToTwoBit/out_wildcard_2bi",
                    "id": "#main/OUT_2bi"
                },
                {
                    "type": "Directory",
                    "outputSource": "#main/add_metadata/out_dir",
                    "id": "#main/OUT_dir"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
